Transcend Docs
API referenceData subject request

Get the files to download

GET
/v1/data-subject-request/{id}/download-keys

Once the status of the original DSR indicates there are files available to download, it is possible to get a list of these files for download.

Authorization

Transcend_API_Key View the Request Compilation
headerAuthorizationBearer <token>

authorization: Bearer <>

Scope: View the Request Compilation

Path Parameters

id*string

The request ID (returned from "Submit a DSR")

Query Parameters

limit?number

The maximum number of file keys to return on this page.

Range0 <= value
Default25
offset?number

The pagination offset.

Range0 <= value
Default0

Header Parameters

authorization*string

An API key generated from the Transcend dashboard: https://app.transcend.io/infrastructure/api-keys.

x-sombra-authorization?string

The Sombra internal key. This header is only needed for self-hosted Sombra gateways. See https://docs.transcend.io/docs/dsr-automation/api-integration/authentication#authenticating-to-sombra

content-type*string

Specify content-type: application/json for a JSON response from the Transcend API.

Matchapplication-json

Response Body

This request was found. Responds with a paginated list of files and their metadata. To download the file, make a separate request for each file using their downloadKey from this response.

application/json
  1. response
totalCount*number

Total number of files available for download.

nodes*array<>

List of files available for download.

Items1 <= items
_links*

Pagination information

Example Request
curl -X GET 'https://multi-tenant.sombra.transcend.io/v1/data-subject-request/string/download-keys' \  -H 'authorization: string' \  -H 'content-type: string'
Example Response
{  "totalCount": 25,  "nodes": [    {      "downloadKey": "superlongstring1",      "error": null,      "mimetype": "text/plain",      "size": 16,      "fileName": "Personal identifier/Name.txt",      "dataPoint": {        "id": "bd7a415c-0367-455f-bb6d-7f1b5c391bdc",        "title": null,        "description": null,        "name": "ActionItemUsers",        "metadata": {          "references": [            "https://docs.transcend.io/docs/privacy-requests/connecting-data-systems/internal-data-systems"          ]        },        "slug": "actionItemUsers",        "encryption": null,        "path": [          "transcend",          "public"        ],        "dataSilo": {          "id": "709b0a9d-d489-4eed-ab1f-747a5a6867d7",          "title": "Database",          "description": "Integrate with your own databases, such as Amazon Redshift or PostgreSQL.",          "type": "database",          "outerType": null        }      }    },    {      "downloadKey": "superlongstring2",      "error": null,      "mimetype": "application/json",      "size": 3124,      "fileName": "User online activities/usage.json",      "dataPoint": {        "id": "f7d01243-4918-4045-813f-e53945774ea1",        "title": {          "id": "3eed04de-8308-4d47-bc40-11bd26b67ff1",          "defaultMessage": "Email Address"        },        "description": {          "id": "3e8c9597-a4ca-4368-9836-86701d210550",          "defaultMessage": "The email we have associated with the account."        },        "name": "email",        "metadata": {          "references": [            "https://docs.transcend.io/docs/silo-server"          ]        },        "slug": "email",        "encryption": null,        "path": [],        "dataSilo": {          "id": "222d8172-b05a-4d55-89a4-af0e240fd290",          "title": "Transcend Users",          "description": "Send a webhook to a server and POST back through our API.",          "type": "server",          "outerType": null        }      }    },    {      "downloadKey": "superlongstring3",      "error": null,      "mimetype": "video/mp4",      "size": 456711231,      "fileName": "User profile/mymovie.mp4",      "dataPoint": {        "id": "bd7a415c-0367-455f-bb6d-7f1b5c391bdc",        "title": null,        "description": null,        "name": "ActionItemUsers",        "metadata": {          "references": [            "https://docs.transcend.io/docs/privacy-requests/connecting-data-systems/internal-data-systems"          ]        },        "slug": "actionItemUsers",        "encryption": null,        "path": [          "transcend",          "public"        ],        "dataSilo": {          "id": "709b0a9d-d489-4eed-ab1f-747a5a6867d7",          "title": "Database",          "description": "Integrate with your own databases, such as Amazon Redshift or PostgreSQL.",          "type": "database",          "outerType": null        }      }    }  ],  "_links": {    "self": "/v1/data-subject-request/da13d328-3f9d-40d5-9312-9f4fcf3ad0d2/download-keys?limit=3&offset=3",    "prev": "/v1/data-subject-request/da13d328-3f9d-40d5-9312-9f4fcf3ad0d2/download-keys?limit=3&offset=0",    "next": "/v1/data-subject-request/da13d328-3f9d-40d5-9312-9f4fcf3ad0d2/download-keys?limit=3&offset=6"  }}